Merge "Update Mac OS X deployment target to 10.9."
diff --git a/build/tools/ndk-common.sh b/build/tools/ndk-common.sh
index 737e0e4..4fe5030 100644
--- a/build/tools/ndk-common.sh
+++ b/build/tools/ndk-common.sh
@@ -26,7 +26,7 @@
 
 OS=`uname -s`
 if [ "$OS" == "Darwin" -a -z "$MACOSX_DEPLOYMENT_TARGET" ]; then
-    export MACOSX_DEPLOYMENT_TARGET="10.8"
+    export MACOSX_DEPLOYMENT_TARGET="10.9"
 fi
 
 # Find the Android NDK root, assuming we are invoked from a script
diff --git a/docs/Building.md b/docs/Building.md
index 6f41b08..7f1977f 100644
--- a/docs/Building.md
+++ b/docs/Building.md
@@ -6,7 +6,7 @@
 Both Linux and Windows NDKs are built on Linux machines. Windows host binaries
 are cross-compiled with MinGW.
 
-Building the NDK for Mac OS X requires at least 10.8.
+Building the NDK for Mac OS X requires at least 10.9.
 
 ## Prerequisites
 
diff --git a/docs/changelogs/Changelog-r21.md b/docs/changelogs/Changelog-r21.md
index defa211..aba5400 100644
--- a/docs/changelogs/Changelog-r21.md
+++ b/docs/changelogs/Changelog-r21.md
@@ -18,6 +18,10 @@
 
 [blog post]: https://android-developers.googleblog.com/2019/06/moving-android-studio-and-android.html
 
+ * macOS 10.8 is no longer supported as of r21b (r21 supports 10.8). macOS 10.15
+   requires that binaries be notarized, and notarization is only supported for
+   binaries built for 10.9 or newer.
+
  * [LLD](https://lld.llvm.org/) is now available for testing. AOSP has switched
    to using LLD by default and the NDK will follow (timeline unknown). Test LLD
    in your app by passing `-fuse-ld=lld` when linking. Note that [Issue 843]
diff --git a/ndk/toolchains.py b/ndk/toolchains.py
index 1e719bf..669f252 100644
--- a/ndk/toolchains.py
+++ b/ndk/toolchains.py
@@ -41,7 +41,7 @@
 
 class DarwinSdk:
     """The Darwin SDK."""
-    MACOSX_TARGET = '10.8'
+    MACOSX_TARGET = '10.9'
 
     def __init__(self) -> None:
         proc_result = subprocess.run(['xcrun', '--show-sdk-path'],